/* Create MailFaces OS/2 Warp Desktop objects                      */
/*                                                                  */
/* This code is FREE to be modified and used in ANYTHING you'd like */
/* PROVIDING that your REXX SCRIPT also be FREE and reusable!!    */
/*   duanec@ibm.net                             dAc 6/2/96  v4.1    */
/*                                                                  */
/* Modified by jthomas 3/28/2002 for version 2.1.3                  */
/* but there was no way to test it.  Feedback is welcome           */
/* Modified by David Mediavilla 2002/05/13 */
/* I hope it works now*/

Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL','SysLoadFuncs'
Call SysLoadFuncs
ThisDir=directory()
/* I only have Java 1.1.8 but this probably won't work on Java 1.3
        We are trying to find where Java is installed. From there on,
        we'll guess where Classes.zip is (Not in CLASSPATH!)
        I don't really understand parsing in Rexx
*/
/* parse upper value VALUE('PATH',,'OS2ENVIRONMENT') with '\JAVA11' -2 Jloc +9 */
parse upper value VALUE('PATH',,'OS2ENVIRONMENT') with BeforeJava '\JAVA' JavaVersion '\'
SemicolonPos= LastPos( ';', BeforeJava)
parse var BeforeJava +( SemicolonPos) JavaDrive
JavaDirectory=JavaDrive'\JAVA'JavaVersion
/* parse value VALUE('CLASSPATH',,'OS2ENVIRONMENT') with curcp */

aTitle   = 'MailFaces'
aObjID   = 'M_FACES'
/* I guess that ^ is acting here as a escape for ; */
/* aCPath   = 'lib\mailfaces.jar^;lib\mail.jar^;lib\activate.jar^;' */
aCPath   = '.\lib\mailfaces.jar^;.\lib\mail.jar^;.\lib\activation.jar^;'
aClass   = 'com.jthomas.mailfaces.MailFaces'
aExtra   = 'ICONFILE='ThisDir'\facesos2.ICO;'


/* aOptions = '-Djava_compiler=none'  */
aOptions = ''

aURL     = 'http://www.cruzio.com/~jthomas/mailfaces/index.html'
aReadMe  = 'faces.opt'

 

/* Create the folder */
/* I add a graphic background :) but I don't know how to make
        the background of the icon names not transparent
*/
/* If SysCreateObject('WPFolder', aTitle, '<WP_DESKTOP>',,
       'OBJECTID=<'aObjID'_FLD>;OPEN=DEFAULT;'||,
       'ALWAYSSORT=YES;','U')=0 then
*/
If SysCreateObject( 'WPFolder', aTitle, '<WP_DESKTOP>',,
       'OBJECTID=<'aObjID'_FLD>;OPEN=DEFAULT;',
       ||'ALWAYSSORT=YES;',
        ||'BACKGROUND='ThisDir'\IMAGES\MAILFACES.GIF,',
        /* Normal, ScaleFactor, Image, Color  */,
        ||'N,1,I,192 192 192;',,
        'U')=0 then
   do
      say aTitle' Folder could not be created'
      exit(1)
   end


/* Create the program */
/* If SysCreateObject('WPProgram', aTitle, '<'aObjID'_FLD>',,
       'OBJECTID=<'aObjID'>;PROGTYPE=PM;EXENAME=JAVA.EXE;'||,
       'PARAMETERS=-classpath 'Jloc'\lib\classes.zip^;'||,
       '.\'aCPath' 'aOption' 'aClass';'||,
       'STARTUPDIR='ThisDir';'aExtra,'U')=0 then
*/
If SysCreateObject('WPProgram', aTitle, '<'aObjID'_FLD>',,
       'OBJECTID=<'aObjID'>;PROGTYPE=PM;EXENAME=JAVA.EXE;'||,
       'PARAMETERS=-classpath 'JavaDirectory,
        || '\lib\classes.zip^;'aCPath' 'aOptions' 'aClass';'||,
       'STARTUPDIR='ThisDir';'aExtra,'U')=0 then
   do
      say aTitle' Object could not be created'
      exit(1)
   end

/* Create the debug program */
/* Rexx Tips & Tricks quotes APAR PJ17176 telling that 
        SysCreateObject creates a new object instead of 
        updating if there is a ^ in the title.

        If you want debug.txt, remember to activate Debug
        and DebugFile in faces.opt.
*/
/* If SysCreateObject('WPProgram', aTitle'^(debug)', '<'aObjID'_FLD>',,
       'OBJECTID=<'aObjID'_DEBUG>;PROGTYPE=WINDOWABLEVIO;EXENAME=*;'||,
       'PARAMETERS=/c JAVA.EXE -classpath 'Jloc'\lib\classes.zip^;'||,
       '.\'aCPath' 'aClass' -d & E.EXE debug.txt;'||,
       'STARTUPDIR='ThisDir';'aExtra,'U')=0 then
*/
If SysCreateObject('WPProgram', aTitle'^(debug)', '<'aObjID'_FLD>',,
       'OBJECTID=<'aObjID'_DEBUG>;PROGTYPE=WINDOWABLEVIO;EXENAME=*;'||,
       'PARAMETERS=/c JAVA.EXE -classpath 'JavaDirectory'\lib\classes.zip^;'||,
       aCPath' 'aClass' -d & E.EXE debug.txt;'||,
       'STARTUPDIR='ThisDir';'aExtra,'U')=0 then
   do
      say aTitle' Debug Object could not be created'
      exit(1)
   end

/* Create a Web link */
If SysCreateObject('WPUrl', aTitle'^Homepage', '<'aObjID'_FLD>',,
       'OBJECTID=<'aObjID'_URL>;URL='aURL';','U')=0 then
   do
      say aTitle' Homepage link could not be created'
      exit(1)
   end

/* Create a file link */
If SysCreateObject('WPShadow', aTitle'^Readme', '<'aObjID'_FLD>',,
       'OBJECTID=<'aObjID'_READ>;SHADOWID='ThisDir'\'aReadMe';','U')=0 then
   do
      say aTitle' Readme could not be created'
      exit(1)
   end

exit

